@import url('https://fonts.googleapis.com/css2?family=Chivo:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Dosis:wght@200;300;400;500;600;700;800&family=Source+Code+Pro:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
body{
    margin: 0;
    padding: 0;
}
.header{
    height: 120px;
    background-color:black;
    display: flex;
    justify-content: space-between;
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    .logo{
        margin-left: 20px;
        display: flex;
        align-items: center;
        .logoImg{
            width: 290px;
            height: 80px;
        }
    }
    .menu{
        width: 400px;
        height: 100px;
        margin-right: 100px;
        ul{
            display: flex;
            justify-content: space-around;
            padding-top: 30px;

            li{
                a{
                    color: white;
                    list-style: none;
                    // font-size: 16px;
                    font-family: Source\ Code\ Pro;
                    text-transform: uppercase;
                    letter-spacing: 2px;
                    font-size: 14px;
                    line-height: 19.6px;
                    font-weight: 600;
                    text-decoration: none;
                }
            }
        }
    }
}
.hero{
    background-image: url("https://media-cldnry.s-nbcnews.com/image/upload/newscms/2019_13/2798361/190325-rental-cars-cs-229p.jpg") ;
    background-repeat: no-repeat;
    background-size: 1440px 816px;
    position: relative;
    z-index: 0;
    .black{
        width: 100%;
        height: 816px;
        background-color: black;
        opacity: 60%;
        position: absolute;
        z-index: -1;
    }
    .heroBck{
        padding-top: 180px;
        font-family: Dosis;
        text-transform: uppercase;
        letter-spacing: 11px;
        font-size: 80px;
        line-height: 118px;
        font-weight: 300;
        color: white;
        text-align: center;
        -webkit-font-smoothing: antialiased;
        margin-bottom: 7px;
        vertical-align: baseline;
        // position: absolute;
    }
    .padd{
        padding-top: 40px;
    }
    div{
        font-family: Dosis;
        text-transform: uppercase;
        letter-spacing: 4px;
        font-size: 34px;
        line-height: 44px;
        font-weight: 400;
        margin-bottom: 8px;
        color: white;
        -webkit-font-smoothing: antialiased;
        text-align: center;
        vertical-align: baseline;
        box-sizing: border-box;
        // position: absolute;
    }
    padding-bottom: 190px;
}
.bookCars{
    background-image: url("https://media.istockphoto.com/photos/aerial-view-of-parking-lot-picture-id519196006?k=20&m=519196006&s=612x612&w=0&h=S9IX2iSb7AsMgFvN2bkGG9fhgLt9ngDGi-iBInLIqiA=");
    background-repeat: no-repeat;
    background-size: 1440px 1016px;
    position: relative;
    z-index: 0;
    .black{
        width: 100%;
        height: 1016px;
        background-color: white;
        opacity: 50%;
        z-index: -1;
        position: absolute;
    }
    .text{
        .aid{
            vertical-align: baseline;
            font-family: inherit;
            font-weight: inherit;
            font-style: inherit;
            font-size: 100%;
            outline: 0;
            padding: 0;
            margin: 0;
            border: 0;
            word-wrap: break-word;
            word-break: break-word;
            box-sizing: border-box;
            font-family: Dosis;
            text-transform: uppercase;
            letter-spacing: 11px;
            font-size: 80px;
            line-height: 118px;
            font-weight: 300;
            text-align: center;
            padding-top: 50px;
            padding-bottom: 40px;
        }
        .aidText{
            font-weight: 400;
            color: #000000;
            vertical-align: baseline;
            font-family: inherit;
            font-weight: inherit;
            font-style: inherit;
            font-size: 100%;
            outline: 0;
            padding: 0;
            margin: 0;
            border: 0;
            word-wrap: break-word;
            word-break: break-word;
            font-family: Dosis;
            text-transform: uppercase;
            letter-spacing: 4px;
            font-size: 34px;
            line-height: 44px;
            font-weight: 400;
            text-align: center;        
        }
    }
    .cards{
        width: 1096px;
        height: 428px;
        // position: absolute;
        display: flex;
        justify-content: space-around;
        padding-bottom: 200px;
        padding-top: 80px;
        margin-left: 180px;
        .card{
            width: 240px;
            border-radius: 12px;
            background-color: white;
            padding-bottom: 20px;
            .carDetail{
                height: 243px;
                .carImg{
                    display: flex;
                    justify-content: center;
                    img{
                        width: 220px;
                        height: 165px;
                    }
                }
                .carModel{
                    color: #758CC0;
                    text-align: center;
                    font-family: Chivo;
                    font-size: 22px;
                    display: flex;
                    justify-content: center;
                }
            }
            .aboutCar{
                text-align: center;
                padding-top: 3px;
                padding-bottom: 3px;
                font-size: 16px;
                font-family: Chivo;
                font-family: inherit;
                font-size: inherit;
                font-style: inherit;
                text-decoration: inherit;
                text-transform: inherit;
                color: #496C4F;
            }
            .price{
                color: #758CC0;
                text-align: center;
                font-size: 26px;
                font-family: Roboto;
                padding-top: 30px;
                padding-bottom: 30px;
                // // line-height: normal!important;
                // word-wrap: break-word;
                // word-break: break-word;
                // text-decoration: inherit;
                // font-family: inherit;
                // font-size: inherit;
            }
            .rent{
                // width: 180px;
                color: white;
                background-color: #758CC0;
                font-size: 13px;
                font-family: Chivo;
                text-align: center;
                padding: 10px 20px;
                margin: 10px 34px;
                border-radius: 24px;
                border: none;

            }
        }
        .card:hover{
            transition: .3s;
            box-shadow: 0px 10px 25px black;
            .carDetail{
                .carModel{
                    color: black;
                }
            }
            .price{
                color: red;
            }
            .rent{
                background-color: red;
            }
            .rent:hover{
                opacity: 70%;
                cursor: pointer;
            }

        }
    }
}
.contuct{
    background-color: white;
    width: 100%;
    height: 234px;
    .text{
        color: #333333;
        text-align: center;
        text-transform: uppercase;
        letter-spacing: 4px;
        font-size: 34px;
        font-family: Dosis;
        margin-top: 30px;
        padding-bottom: 30px;
    }
    .contacts{
        display: flex;
        justify-content: center;
        a{
            display: flex;
            text-decoration: none;
            padding: 0 20px;
            img{
                width: 50px;
                height: 50px;
                
            }
            div{
                text-decoration: none;
                display: flex;
                align-items: center;
                padding-left: 6px;
                font-size: 18px;
                color: black;
            }
            div:hover{
                transition: .3s;
                text-decoration: none;
                display: flex;
                align-items: center;
                padding-left: 6px;
                font-size: 18px;
                color: white;
                background-color: black;
                border-radius: 10px;
                height: 36px;
                margin-top: 8px;
            }
        }
    }
}
.map{
    background-image: url("https://images.unsplash.com/photo-1610647752706-3bb12232b3ab?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxzZWFyY2h8MXx8Y2FyJTIwaW5zaWRlfGVufDB8fDB8fA%3D%3D&w=1000&q=80");
    background-repeat: no-repeat;
    background-size: 1440px 716px;
    position: relative;
    // opacity: 100%;
    z-index: 0;
    .black{
        width: 100%;
        height: 716px;
        background-color: black;
        opacity: 80%;
        position: absolute;
        z-index: -1;
    }
    .details{
        z-index: 999;
        // position: absolute;
        // position: initial;
        // position: static;
        #map{
            height: 280px;
            width: 280px;
            border-radius: 16px;
            margin-left: 578px;
            margin-top: 30px;
            margin-bottom: 57px;
            // z-index: 999;
        }
        .dot{
            opacity: 0%;
        }
        .text{
            text-align: center;
            color: white;
            z-index: 2;
            .ourLoc{
                font-size: 80px;
                font-family: Dosis;
                padding-top: 80px;
                text-transform: uppercase;
                letter-spacing: 11px;
                font-size: 80px;
                line-height: 118px;
                font-weight: 300;
            }
            .timetable{
                font-family: Dosis;
                text-transform: uppercase;
                letter-spacing: 4px;
                font-size: 34px;
                line-height: 44px;
                font-weight: 400;
            }
        }
    }
}
.footer{
    background-color: black;
    display: flex;
    padding-top: 30px;
    padding-left: 50px;
    padding-bottom: 20px;
    .rowOne{
        display: flex;
        flex-direction: column;
        a{
            padding-bottom: 16px;
            text-decoration: none;
            color: white;
            font-size: 16px;
            font-family: Roboto;
        }
    }
    .rowTwo{
        display: flex;
        flex-direction: column;
        margin-left: 140px;
        a{
            padding-bottom: 16px;
            text-decoration: none;
            color: white;
            font-size: 16px;
            font-family: Roboto;
        }
    }
}